Bug 121658 - FILESAVE DOCX Automatic Hyphenate created with Word hyphenates words in CAPS too
Summary: FILESAVE DOCX Automatic Hyphenate created with Word hyphenates words in CAPS too
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: filter:docx
Depends on:
Blocks: Hyphenation
  Show dependency treegraph
 
Reported: 2018-11-23 09:51 UTC by NISZ LibreOffice Team
Modified: 2019-12-17 12:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original and exported document side by side in Word. (208.64 KB, image/png)
2018-11-23 09:51 UTC, NISZ LibreOffice Team
Details
Example file from Word. (20.37 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-11-23 09:51 UTC, NISZ LibreOffice Team
Details
The original file saved by Writer. (17.08 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-11-23 09:52 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2018-11-23 09:51:04 UTC
Description:
Automatic Hyphenate in DOCX documents created with Microsoft Word 2010 hyphenates words in CAPS when the document is exported in LibreOffice Writer and opened in Word 2010.

Steps to Reproduce:
    1. Create a new document in Microsoft Word.
    2. Type “=rand(2)” and press Enter.
    3. Select the first section.
    4. Click with the right mouse button, and click Font.
    5. In Effects category take a pipe next to UPPER.
    6. Click on OK button.
    7. On the Page Layout tab, in the Page Setup group, click Hyphenation.
    8. Select Hyphenation Options.
    9. Select Automatically hyphenate document.
    10. Deselect Hyphenate words in CAPS.
    11. Click on OK button.
    12. Save the file as DOCX.
    13. Open the same file in LibreOffice Writer.
    14. Select File and Save As.
    15. Name the file.
    16. Open the exported file in Microsoft Word.
    17. Compare the original file opened in Word and the exported file opened in Word.

Actual Results:
Automatic Hyphenate hyphenates words in CAPS too when the document is exported in LibreOffice Writer and opened in Microsoft Word 2010.

Expected Results:
Hyphenates should have the same style as the original file when the document is opened in Microsoft Word 2010.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2018-11-23 09:51:23 UTC
Created attachment 146941 [details]
Screenshot of the original and exported document side by side in Word.
Comment 2 NISZ LibreOffice Team 2018-11-23 09:51:41 UTC
Created attachment 146942 [details]
Example file from Word.
Comment 3 NISZ LibreOffice Team 2018-11-23 09:52:03 UTC
Created attachment 146943 [details]
The original file saved by Writer.
Comment 4 Buovjaga 2019-01-24 13:00:37 UTC
Repro with MSO 2013. LibO 3.5.0 seems to lose the whole automatic hyphenation setting.

MSO 2013

LibO Version: 6.3.0.0.alpha0+
Build ID: 301ff4dfb82dfd961b993aec151784bd478b4f97
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-22_22:44:18
Locale: fi-FI (fi_FI); UI-Language: en-US
Calc: threaded

3.5.0
Comment 5 Samuel Mehrbrodt (CIB) 2019-10-07 13:25:53 UTC
Still reproducible in 

Version: 6.4.0.0.alpha0+
Build-ID: 2eb60e4b4fc45d904e04fd52d485923948c96898
CPU-Threads: 8; BS: Linux 5.0; UI-Render: Standard; VCL: gtk3; 
Gebietsschema: de-DE (de_DE.UTF-8); UI-Language: de-DE
Calc: threaded
Comment 6 Commit Notification 2019-11-21 13:46:28 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3185ce226447fb04c530af76f799fed86672f99c

tdf#121658 Roundtrip w:doNotHyphenateCaps via InteropGrabBag

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-11-22 13:30:52 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/add5fce368b6fab320b6ded60b7875599863a195

tdf#121658 Roundtrip w:doNotHyphenateCaps via InteropGrabBag

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-12-06 11:02:12 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/72bd0df107ee47c4d54fa88b4960d32ea03e9f69

tdf#121658 Add option to not hyphenate words in CAPS

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-12-07 18:59:13 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ad86ebb1f86f6347ccb9bbe40b0ca080562cbae8

tdf#121658 Add option to not hyphenate words in CAPS

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.